﻿@import url('colors.css');

.ecom-content-search-field {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.ecom-content-search-field>input {
    width: 25%;
    height: 2.8rem;

    background-color: var(--input-bg);

    outline: none;
    border: none;
    border-radius: 1.625rem;
    
    padding: 0 3.5rem 0 1.5rem;
    
    font-size: 1rem;
}

.ecom-content-search-field>button {
    width: 3.5rem;
    height: 2.8rem;
    
    margin-left: -3.5rem;
    margin-top: 0.2rem;
    
    background: none;
    
    border: none;
    outline: none;
}

.ecom-content-search-field>button:hover {
    cursor: pointer;
}

.ecom-info-field {
    width: 100%;
    
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.ecom-info-field>input {
    height: 4rem;
    width: 600px;
    
    background-color: var(--input-bg);
    
    outline: none;
    border: none;
    border-radius: 1.625rem;
    
    padding: 0 1.5rem 0 4.5rem;
    
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-size: 30px;
    text-decoration: underline;
}

.ecom-info-field>button {
    width: 3.5rem;
    height: 3.5rem;
    
    margin-top: 0.2rem;
    margin-right: -4rem;
    
    background: none;
    
    border: none;
    outline: none;
}

.product-card-grid-container {
    height: 451px;
    width: fit-content;
}

.product-card {
    display: flex;
    flex-direction: column;
    align-self: flex-start;
    width: 280px;
    padding: 20px;
    border-radius: 24px;
    background: rgba(217, 217, 217, 1);
    font-family: Arial, sans-serif;
    transition: background 0.3s ease, box-shadow 0.3s ease;
}

.product-card:hover {
    background: rgba(239, 252, 255, 1);
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.15);
}

.favorite {
    text-align: right;
    font-size: 22px;
    color: #666;
    cursor: pointer;
}

.favorite>i:hover {
    color: red;
}

.product-image {
    height: 220px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.product-image img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.product-info {
    text-align: center;
    margin-top: 12px;
}

.product-title {
    font-size: 16px;
    line-height: 1.4;
    cursor: pointer;
    
    height: 67px;
    
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product-title:hover {
    text-decoration: underline;
}

.product-price {
    margin-top: 12px;
    font-size: 22px;
    font-weight: 700;
}

.product-actions {
    max-height: 0;
    overflow: hidden;
    display: flex;
    justify-content: center;
    gap: 12px;
    align-items: center;
    transition: max-height 0.3s ease, margin-top 0.3s ease;
}

.product-card:hover .product-actions {
    max-height: 80px;
    margin-top: 16px;
}

.counter {
    display: flex;
    align-items: center;
    background: #e6e6e6;
    border-radius: 12px;
    overflow: hidden; /*хз*/
}

.counter button {
    width: 32px;
    height: 32px;
    border: none;
    background: transparent;
    font-size: 18px;
    cursor: pointer;
}

.counter span {
    width: 32px;
    text-align: center;
    font-weight: 600;
}

.counter-input {
    width: 32px;
    height: 32px;

    padding: 0;
    margin: 0;
    border: none;
    outline: none;

    background: transparent;
    text-align: center;
    font-weight: 600;
    font-size: 16px;

    appearance: textfield;
}

.counter-input::-webkit-outer-spin-button,
.counter-input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.counter-input[type="number"] {
    -moz-appearance: textfield;
}

.add-to-cart {
    width: 150px;
    height: 40px;
    
    padding: 8px 16px;
    background: #7fc8dc;
    border: none;
    border-radius: 12px;
    color: #fff;
    font-weight: 600;
    cursor: pointer;
}

.add-to-cart:hover {
    color: rgba(255, 255, 255, 1);
    background-color: rgba(0, 123, 255, 1);
}

.nemika-button {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-size: 20px;

    border-radius: 10px;

    color: rgba(255, 255, 255, 1);
    background-color: rgba(0, 123, 255, 1);

    height: 264px;
}

.nemika-button-disabled {
    color: rgba(127, 127, 127, 1);
    background-color: rgba(217, 217, 217, 1);
}